Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.linker
Class TypeIndexedSet<T extends java.lang.Comparable>

    java.lang.Object
      com.google.gwt.thirdparty.guava.common.collect.ForwardingObject
          com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection<E>
              com.google.gwt.thirdparty.guava.common.collect.ForwardingSet<E>
                  com.google.gwt.thirdparty.guava.common.collect.ForwardingSortedSet<T>
                      com.google.gwt.core.ext.linker.TypeIndexedSet<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<T>, java.util.Collection<T>, java.util.Set<T>, java.util.SortedSet<T>

     class TypeIndexedSet<T extends java.lang.Comparable>

extends com.google.gwt.thirdparty.guava.common.collect.ForwardingSortedSet<T>
implements java.io.Serializable

A SortedSet that maintains an index of its members by concrete type using a `TypeIndexedSet.TypeIndex`.

Nested Class Summary
`(package private) static class` | `TypeIndexedSet.TypeIndex` Organizes set members by their concrete type.

Constructor Summary
`protected` | `TypeIndexedSet(java.util.SortedSet<T> backing)`

Method Summary
`boolean` | `add(T o)`
`boolean` | `addAll(java.util.Collection<? extends T> c)`
`void` | `clear()`
`protected java.util.SortedSet<T>` | `delegate()`
`void` | `freeze()` Prevent further modification of the Set.
`(package private) TypeIndexedSet.TypeIndex` | `getTypeIndex()` Returns the type index for the root set, i.e.
`java.util.SortedSet<T>` | `headSet(T toElement)`
`java.util.Iterator<T>` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(java.util.Collection<?> c)`
`boolean` | `retainAll(java.util.Collection<?> c)`
`java.util.SortedSet<T>` | `subSet(T fromElement, T toElement)`
`java.util.SortedSet<T>` | `tailSet(T fromElement)`

Methods inherited from class com.google.gwt.thirdparty.guava.common.collect.ForwardingSortedSet
`comparator, first, last, standardContains, standardRemove, standardSubSet`

Methods inherited from class com.google.gwt.thirdparty.guava.common.collect.ForwardingSet
`equals, hashCode, standardEquals, standardHashCode, standardRemoveAll`

Methods inherited from class com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection
`contains, containsAll, isEmpty, size, standardAddAll, standardClear, standardContainsAll, standardIsEmpty, standardRetainAll, standardToArray, standardToArray, standardToString, toArray, toArray`

Methods inherited from class com.google.gwt.thirdparty.guava.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Constructor Detail

### TypeIndexedSet

    protected TypeIndexedSet(java.util.SortedSet<T> backing)

Method Detail

### delegate

    protected java.util.SortedSet<T> delegate()

  Overrides:
    `delegate` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingSortedSet<T extends java.lang.Comparable>`

### getTypeIndex

    TypeIndexedSet.TypeIndex getTypeIndex()

  Returns the type index for the root set, i.e. the set that is not a view of other sets.

### add

    public boolean add(T o)

  Specified by:
    `add` in interface `java.util.Collection<T extends java.lang.Comparable>`
  Specified by:
    `add` in interface `java.util.Set<T extends java.lang.Comparable>`
  Overrides:
    `add` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection<T extends java.lang.Comparable>`

### addAll

    public boolean addAll(java.util.Collection<? extends T> c)

  Specified by:
    `addAll` in interface `java.util.Collection<T extends java.lang.Comparable>`
  Specified by:
    `addAll` in interface `java.util.Set<T extends java.lang.Comparable>`
  Overrides:
    `addAll` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection<T extends java.lang.Comparable>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection<T extends java.lang.Comparable>`
  Specified by:
    `clear` in interface `java.util.Set<T extends java.lang.Comparable>`
  Overrides:
    `clear` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection<T extends java.lang.Comparable>`

### freeze

    public void freeze()

  Prevent further modification of the Set. Any attempts to alter the Set after invoking this method will result in an UnsupportedOperationException.

### headSet

    public java.util.SortedSet<T> headSet(T toElement)

  Specified by:
    `headSet` in interface `java.util.SortedSet<T extends java.lang.Comparable>`
  Overrides:
    `headSet` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingSortedSet<T extends java.lang.Comparable>`

### iterator

    public java.util.Iterator<T> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<T extends java.lang.Comparable>`
  Specified by:
    `iterator` in interface `java.util.Collection<T extends java.lang.Comparable>`
  Specified by:
    `iterator` in interface `java.util.Set<T extends java.lang.Comparable>`
  Overrides:
    `iterator` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection<T extends java.lang.Comparable>`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection<T extends java.lang.Comparable>`
  Specified by:
    `remove` in interface `java.util.Set<T extends java.lang.Comparable>`
  Overrides:
    `remove` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection<T extends java.lang.Comparable>`

### removeAll

    public boolean removeAll(java.util.Collection<?> c)

  Specified by:
    `removeAll` in interface `java.util.Collection<T extends java.lang.Comparable>`
  Specified by:
    `removeAll` in interface `java.util.Set<T extends java.lang.Comparable>`
  Overrides:
    `removeAll` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection<T extends java.lang.Comparable>`

### retainAll

    public boolean retainAll(java.util.Collection<?> c)

  Specified by:
    `retainAll` in interface `java.util.Collection<T extends java.lang.Comparable>`
  Specified by:
    `retainAll` in interface `java.util.Set<T extends java.lang.Comparable>`
  Overrides:
    `retainAll` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingCollection<T extends java.lang.Comparable>`

### subSet

    public java.util.SortedSet<T> subSet(T fromElement,
                                         T toElement)

  Specified by:
    `subSet` in interface `java.util.SortedSet<T extends java.lang.Comparable>`
  Overrides:
    `subSet` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingSortedSet<T extends java.lang.Comparable>`

### tailSet

    public java.util.SortedSet<T> tailSet(T fromElement)

  Specified by:
    `tailSet` in interface `java.util.SortedSet<T extends java.lang.Comparable>`
  Overrides:
    `tailSet` in class `com.google.gwt.thirdparty.guava.common.collect.ForwardingSortedSet<T extends java.lang.Comparable>`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD